Name:          sratom
Version:       0.6.4
Release:       1mamba
Summary:       A library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://drobilla.net/software/sratom/
Source:        http://download.drobilla.net/sratom-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liblv2-devel
BuildRequires: libserd-devel
BuildRequires: libsord-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Sratom is a library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
./waf configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir}

./waf %{?_smp_mflags} build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./waf install --destdir=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libsratom-0.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/sratom-0
%dir %{_includedir}/sratom-0/sratom
%{_includedir}/sratom-0/sratom/sratom.h
%{_libdir}/libsratom-0.so
%{_libdir}/pkgconfig/sratom-0.pc
%doc NEWS

%changelog
* Fri Nov 15 2019 Automatic Build System <autodist@mambasoft.it> 0.6.4-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Automatic Build System <autodist@mambasoft.it> 0.6.2-1mamba
- automatic version update by autodist

* Mon Apr 09 2018 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic version update by autodist

* Tue Nov 04 2014 Automatic Build System <autodist@mambasoft.it> 0.4.6-1mamba
- automatic version update by autodist

* Sat Jan 04 2014 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic version update by autodist

* Thu Jan 31 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-1mamba
- package created by silvan using the webbuild interface
